# $Revision: 1.12 $, $Date: 2010/06/06 08:34:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	SQLite2
Summary:	DBD::SQLite2 - Self Contained RDBMS in a DBI Driver (sqlite 2.x)
Summary(pl.UTF-8):	DBD::SQlite2 - Kompletny RDBMS zawarty w sterowniku DBI (sqlite 2.x)
Name:		perl-DBD-SQLite2
Version:	0.33
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	babd83fd5eb9ba7560ad4bab4c76c0eb
URL:		http://search.cpan.org/dist/DBD-SQLite2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::SQLite2 is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
<http://www.sqlite.org/>.

Rather than ask you to install SQLite first, DBD::SQLite2 includes the
entire thing in the distribution. So in order to get a fast
transaction capable RDBMS working for your perl project you simply
have to install this module, and nothing else.

This version uses older version of SQLite engine (2.x). To get a
newest one please use perl-DBD-SQLite.

%description -l pl.UTF-8
DBD::SQLite2 to sterownik DBI do baz danych SQLite. SQLite to silnik
relacyjnych baz danych na licencji public domain. Można go znaleźć pod
adresem <http://www.sqlite.org/>.

DBD::SQLite2 zawiera w sobie cały silnik bazy danych. Dzięki temu aby
otrzymać działający RDBMS dostępny z poziomu Perla nie trzeba
instalować żadnych innych pakietów.

Ta wersja korzysta ze starszej wersji silnika SQLite (2.x). Aby użyć
nowszej wersji należy zainstalować pakiet perl-DBD-SQLite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# not real test
mv t/ak-dbd.t{,est}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/DBD/getsqlite.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/SQLite2.pm
%dir %{perl_vendorarch}/auto/DBD/SQLite2
%{perl_vendorarch}/auto/DBD/SQLite2/SQLite2.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/SQLite2/SQLite2.so
%{_mandir}/man3/DBD*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-SQLite2.spec,v $
Revision 1.12  2010/06/06 08:34:26  arekm
- release 5

Revision 1.11  2009/11/17 01:54:39  sparky
- rel 4

Revision 1.10  2009/11/17 01:20:53  sparky
- fixed

Revision 1.9  2008/02/23 22:02:14  glen
- release 3

Revision 1.8  2008-02-10 12:07:07  arekm
- rel 2

Revision 1.7  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.4  2006/07/26 20:54:28  glen
- generic URL

Revision 1.3  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.2  2005/03/15 20:35:23  qboosh
- desc cosmetics

Revision 1.1  2005/03/13 19:08:22  migo
- initial revision
